Bug 80774 - rpm.errorSetCallback doesn't handle restoration of python threads
rpm.errorSetCallback doesn't handle restoration of python threads
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks: 79578 80751
  Show dependency treegraph
 
Reported: 2002-12-30 23:52 EST by Jeremy Katz
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-28 23:19:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2002-12-30 23:52:15 EST
As we've previously discussed -- just filing here for tracking purposes

rpm.errorSetCallback doesn't handle restoring python threads correctly so can
get called into from unexpected contexts.  I'm fine with just replacing the
interface with passing an open file descriptor down similar to ts.scriptFd
Comment 1 Jeff Johnson 2003-01-13 10:37:09 EST
Fixed in rpm-4.2-0.56.
Comment 2 Jeremy Katz 2003-01-22 19:57:35 EST
As discussed, the fix doesn't seem to work
Comment 3 Jeremy Katz 2003-01-28 23:19:46 EST
Have rpm.setLogFile now which looks reasonable to me

Note You need to log in before you can comment on or make changes to this bug.